import request from '@/utils/request'

export function getUserList(data) {
  return request({
    url: '/api/sy/getUserList',
    method: 'post',
    data
  })
}

export function addUser(data) {
  return request({
    url: '/api/sy/addUser',
    method: 'post',
    data
  })
}

export function deleteUser(data) {
  return request({
    url: '/api/sy/deleteUser',
    method: 'post',
    data
  })
}

export function updateUser(data) {
  return request({
    url: '/api/sy/updateUser',
    method: 'post',
    data
  })
}

export function getDepartList(data) {
  return request({
    url: '/api/sy/getDepartList',
    method: 'post',
    data
  })
}


export function addRole(data) {
  return request({
    url: '/api/sy/addRole',
    method: 'post',
    data
  })
}

export function deleteRole(data) {
  return request({
    url: '/api/sy/deleteRole',
    method: 'post',
    data
  })
}

export function updateRole(data) {
  return request({
    url: '/api/sy/updateRole',
    method: 'post',
    data
  })
}

export function getRoleList(data) {
  return request({
    url: '/api/sy/getRoleList',
    method: 'post',
    data
  })
}

export function getRoleListByUser(data) {
  return request({
    url: '/api/sy/getRoleListByUser',
    method: 'post',
    data
  })
}

export function addRoleForUser(data) {
  return request({
    url: '/api/sy/addRoleForUser',
    method: 'post',
    data
  })
}

export function deleteRoleForUser(data) {
  return request({
    url: '/api/sy/deleteRoleForUser',
    method: 'post',
    data
  })
}

export function getSystemList(data) {
  return request({
    url: '/api/sy/getSystemList',
    method: 'post',
    data
  })
}

export function getMenuList(data) {
  return request({
    url: '/api/sy/getMenuList',
    method: 'post',
    data
  })
}export function getMenuForRole(data) {
  return request({
    url: '/api/sy/getMenuForRole',
    method: 'post',
    data
  })
}

export function getUserListByMenu(data) {
  return request({
    url: '/api/sy/getUserListByMenu',
    method: 'post',
    data
  })
}

export function getInstitutionList(data) {
  return request({
    url: '/api/sy/getInstitutionList',
    method: 'post',
    data
  })
}

export function getUserListByRole(data) {
  return request({
    url: '/api/sy/getUserListByRole',
    method: 'post',
    data
  })
}

export function getInstitutionListByRole(data) {
  return request({
    url: '/api/sy/getInstitutionListByRole',
    method: 'post',
    data
  })
}

export function addRoleForInstitution(data) {
  return request({
    url: '/api/sy/addRoleForInstitution',
    method: 'post',
    data
  })
}

export function deleteRoleForInstitution(data) {
  return request({
    url: '/api/sy/deleteRoleForInstitution',
    method: 'post',
    data
  })
}

export function getSystemListByRole(data) {
  return request({
    url: '/api/sy/getSystemListByRole',
    method: 'post',
    data
  })
}

export function addRoleForSystem(data) {
  return request({
    url: '/api/sy/addRoleForSystem',
    method: 'post',
    data
  })
}

export function deleteRoleForSystem(data) {
  return request({
    url: '/api/sy/deleteRoleForSystem',
    method: 'post',
    data
  })
}

export function getMenuListByRole(data) {
  return request({
    url: '/api/sy/getMenuListByRole',
    method: 'post',
    data
  })
}

export function addRoleForMenu(data) {
  return request({
    url: '/api/sy/addRoleForMenu',
    method: 'post',
    data
  })
}

export function deleteRoleForMenu(data) {
  return request({
    url: '/api/sy/deleteRoleForMenu',
    method: 'post',
    data
  })
}

export function addWorkGroup(data) {
  return request({
    url: '/api/sy/addWorkGroup',
    method: 'post',
    data
  })
}

export function deleteWorkGroup(data) {
  return request({
    url: '/api/sy/deleteWorkGroup',
    method: 'post',
    data
  })
}

export function updateWorkGroup(data) {
  return request({
    url: '/api/sy/updateWorkGroup',
    method: 'post',
    data
  })
}

export function addWorkGroupUser(data) {
  return request({
    url: '/api/sy/addWorkGroupUser',
    method: 'post',
    data
  })
}

export function deleteWorkGroupUser(data) {
  return request({
    url: '/api/sy/deleteWorkGroupUser',
    method: 'post',
    data
  })
}

export function addWorkGroupFz(data) {
  return request({
    url: '/api/sy/addWorkGroupFz',
    method: 'post',
    data
  })
}

export function deleteWorkGroupFz(data) {
  return request({
    url: '/api/sy/deleteWorkGroupFz',
    method: 'post',
    data
  })
}

export function addWorkGroupZxt(data) {
  return request({
    url: '/api/sy/addWorkGroupZxt',
    method: 'post',
    data
  })
}

export function deleteWorkGroupZxt(data) {
  return request({
    url: '/api/sy/deleteWorkGroupZxt',
    method: 'post',
    data
  })
}

export function addWorkGroupFunc(data) {
  return request({
    url: '/api/sy/addWorkGroupFunc',
    method: 'post',
    data
  })
}

export function deleteWorkGroupFunc(data) {
  return request({
    url: '/api/sy/deleteWorkGroupFunc',
    method: 'post',
    data
  })
}

export function getUserZHBM(data) {
  return request({
    url: '/api/sy/getUserZHBM',
    method: 'post',
    data
  })
}

export function getFzList(data) {
  return request({
    url: '/api/sy/getFzList',
    method: 'post',
    data
  })
}

export function getZxtList(data) {
  return request({
    url: '/api/sy/getZxtList',
    method: 'post',
    data
  })
}

export function getFuncList(data) {
  return request({
    url: '/api/sy/getFuncList',
    method: 'post',
    data
  })
}

export function getUserListByFunc(data) {
  return request({
    url: '/api/sy/getUserListByFunc',
    method: 'post',
    data
  })
}

export function addFunc(data) {
  return request({
    url: '/api/sy/addFunc',
    method: 'post',
    data
  })
}

export function deleteFunc(data) {
  return request({
    url: '/api/sy/deleteFunc',
    method: 'post',
    data
  })
}

export function updateFunc(data) {
  return request({
    url: '/api/sy/updateFunc',
    method: 'post',
    data
  })
}

